Subject: bug#62847: 29.0.90; Propertized space in Org Agenda's mode-name

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Apr 2023 13:55:30 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 15 Apr 2023 10:40:36 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but it isn't propertized here, I see a literal " " with no
> > properties.
> 
> Note: I tried with Emacs from Git - also cannot reproduce.

On the emacs-29 branch as well?  That's what I tried.

> Only using installed version of Emacs 28, 29, and master. Not Emacs 27.
> 
> > What happens if you display mode-name inside org-agenda-set-mode-name:
> > does it have the properties there already?
> 
> First time, it does not. From the second agenda rebuild onward, the
> properties are there.

I've now tried the installed Emacs 29.0.90, and I cannot reproduce
there, either.  Not even if I invoke org-agenda twice in a row.  So
this sounds like some weird heisenbug.